Cyan Web API - Version 1


POST api/tenantCustomPage

            Creates a tenant custom page.
            

Request Information

Parameters

NameDescriptionAdditional information
tenantCustomPage

Define this parameter in the request body.

Request body formats

application/json, text/json

Sample:
{
  "customPageId": "e4cd1ad6-4648-4595-b995-84418fa1848c",
  "customPageName": "sample string 2",
  "tenantId": "4bb0103e-da3d-4419-9138-0f528cd391f7",
  "viewDataJsonDictionary": "sample string 4",
  "roleId": 5,
  "createdDateUtc": "2026-05-09T02:45:07.0816633+00:00",
  "updatedDateUtc": "2026-05-09T02:45:07.0816633+00:00"
}

application/xml, text/xml

Sample:
<TenantCustomPageRepresentation xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/BlueDot.Cyan.Server.Core.Models.Rest.Version1">
  <CreatedDateUtc>2026-05-09T02:45:07.0816633+00:00</CreatedDateUtc>
  <UpdatedDateUtc>2026-05-09T02:45:07.0816633+00:00</UpdatedDateUtc>
  <CustomPageId>e4cd1ad6-4648-4595-b995-84418fa1848c</CustomPageId>
  <CustomPageName>sample string 2</CustomPageName>
  <RoleId>5</RoleId>
  <TenantId>4bb0103e-da3d-4419-9138-0f528cd391f7</TenantId>
  <ViewDataJsonDictionary>sample string 4</ViewDataJsonDictionary>
</TenantCustomPageRepresentation>

application/x-www-form-urlencoded

Sample:

Sample not available.